Upgrading to 1.2 SVN issues!

Added by Cipher X over 8 years ago

Hi all,

I'm having issues updating my redmine & db.

Following the instructions to upgrade my redmine to the latest 1.2.0 SVN version rather from archive download version.
Option 1 point 6.

rake generate_session_store
throws a warning about a deprecated method, but it was just a warning! so I moved on.

C:\Program Files\Zend\Apache2\htdocs\Redmine_SVN>set RAILS_ENV=production

C:\Program Files\Zend\Apache2\htdocs\Redmine_SVN>rake db:migrate
rake/rdoctask is deprecated.  Use rdoc/task instead (in RDoc 2.4.2+)
WARNING: 'task :t, arg, :needs => [deps]' is deprecated.  Please use 'task :t, [args] => [deps]' instead.
    at C:/Program Files/Zend/Apache2/htdocs/Redmine_SVN/lib/tasks/email.rake:170
rake aborted!
Mysql::Error: Table 'redmine.schema_migrations' doesn't exist: SELECT version FROM schema_migrations

Tasks: TOP => db:migrate
(See full trace by running task with --trace)

C:\Program Files\Zend\Apache2\htdocs\Redmine_SVN>

mySQL 5.5 upgraded from mySQL 5.1 ... pretty much just copied the database file from to
Created a redmine dir via SVN:
svn co http://redmine.rubyforge.org/svn/branches/1.2-stable Redmine_SVN

previous install was from a zipped version of redmine 1.* (can't remember)

- copies database.yml
- copied "files"
- copied vendors plugins

Looking in mySQL (MySQL Workbench) tables they all appear with this error message:
select * from `redmine`.`issues`
LIMIT 0, 1000

Error Code: 1146. Table 'redmine.issues' doesn't exist

TIA

Replies (18)

RE: Upgrading to 1.2 SVN issues! - Added by Alex A over 8 years ago

Can u execute

rake db:migrate --trace

for error details?

RE: Upgrading to 1.2 SVN issues! - Added by Cipher X over 8 years ago

C:\Program Files\Zend\Apache2\htdocs\Redmine_SVN>set RAILS_ENV=production

C:\Program Files\Zend\Apache2\htdocs\Redmine_SVN>rake db:migrate --trace
rake/rdoctask is deprecated.  Use rdoc/task instead (in RDoc 2.4.2+)
WARNING: 'task :t, arg, :needs => [deps]' is deprecated.  Please use 'task :t, [args] => [deps]' instead.
    at C:/Program Files/Zend/Apache2/htdocs/Redmine_SVN/lib/tasks/email.rake:170
** Invoke db:migrate (first_time)
** Invoke environment (first_time)
** Execute environment
** Execute db:migrate
rake aborted!
Mysql::Error: Table 'redmine.schema_migrations' doesn't exist: SELECT version FROM schema_migrations
C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/connection_adapters/abstract_adapter.rb:227:in `log
'
C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/connection_adapters/mysql_adapter.rb:324:in `execut
e'
C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/connection_adapters/mysql_adapter.rb:314:in `select
_rows'
C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/connection_adapters/abstract/database_statements.rb
:27:in `select_values'
C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/migration.rb:421:in `get_all_versions'
C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/migration.rb:537:in `migrated'
C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/migration.rb:446:in `current_version'
C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/migration.rb:463:in `migrate'
C:/Ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `detect'
C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/migration.rb:463:in `each'
C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/migration.rb:463:in `detect'
C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/migration.rb:463:in `migrate'
C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/migration.rb:401:in `up'
C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/migration.rb:383:in `migrate'
C:/Ruby/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/tasks/databases.rake:112
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:205:in `call'
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:205:in `execute'
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:200:in `each'
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:200:in `execute'
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:158:in `invoke_with_call_chain'
C:/Ruby/lib/ruby/1.8/monitor.rb:242:in `synchronize'
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:151:in `invoke_with_call_chain'
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:144:in `invoke'
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/application.rb:112:in `invoke_task'
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/application.rb:90:in `top_level'
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/application.rb:90:in `each'
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/application.rb:90:in `top_level'
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/application.rb:129:in `standard_exception_handling'
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/application.rb:84:in `top_level'
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/application.rb:62:in `run'
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/application.rb:129:in `standard_exception_handling'
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/application.rb:59:in `run'
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.9.2/bin/rake:32
C:/Ruby/bin/rake:19:in `load'
C:/Ruby/bin/rake:19
Tasks: TOP => db:migrate

C:\Program Files\Zend\Apache2\htdocs\Redmine_SVN>

RE: Upgrading to 1.2 SVN issues! - Added by Cipher X over 8 years ago

C:\Program Files\Zend\Apache2\htdocs\Redmine_SVN>rake generate_session_store --trace
rake/rdoctask is deprecated.  Use rdoc/task instead (in RDoc 2.4.2+)
WARNING: 'task :t, arg, :needs => [deps]' is deprecated.  Please use 'task :t, [args] => [deps]' instead.
    at C:/Program Files/Zend/Apache2/htdocs/Redmine_SVN/lib/tasks/email.rake:170
** Invoke generate_session_store (first_time)
** Invoke config/initializers/session_store.rb (first_time, not_needed)
** Execute generate_session_store

C:\Program Files\Zend\Apache2\htdocs\Redmine_SVN>

RE: Upgrading to 1.2 SVN issues! - Added by Alex A over 8 years ago

I suppose that is database schema error. Try to create new database and try rake db:migrate

RE: Upgrading to 1.2 SVN issues! - Added by Cipher X over 8 years ago

I have a feeling that may work, but all the data is in this database! :(

RE: Upgrading to 1.2 SVN issues! - Added by Alex A over 8 years ago

U just try with new database. If it in database schema error u can migrate data from old database to new using mysql dump util.

RE: Upgrading to 1.2 SVN issues! - Added by Cipher X over 8 years ago

No that's not working either with a new db schema... the command does not populate the db with tables.


C:\Program Files\Zend\Apache2\htdocs\Redmine_SVN>rake generate_session_store --trace
rake/rdoctask is deprecated.  Use rdoc/task instead (in RDoc 2.4.2+)
WARNING: 'task :t, arg, :needs => [deps]' is deprecated.  Please use 'task :t, [args] => [deps]' instead.
    at C:/Program Files/Zend/Apache2/htdocs/Redmine_SVN/lib/tasks/email.rake:170
** Invoke generate_session_store (first_time)
** Invoke config/initializers/session_store.rb (first_time, not_needed)
** Execute generate_session_store

C:\Program Files\Zend\Apache2\htdocs\Redmine_SVN>set RAILS_ENV=production

C:\Program Files\Zend\Apache2\htdocs\Redmine_SVN>rake db:migrate --trace
rake/rdoctask is deprecated.  Use rdoc/task instead (in RDoc 2.4.2+)
WARNING: 'task :t, arg, :needs => [deps]' is deprecated.  Please use 'task :t, [args] => [deps]' instead.
    at C:/Program Files/Zend/Apache2/htdocs/Redmine_SVN/lib/tasks/email.rake:170
** Invoke db:migrate (first_time)
** Invoke environment (first_time)
** Execute environment
** Execute db:migrate
rake aborted!
Mysql::Error: Table 'redmine.schema_migrations' doesn't exist: CREATE TABLE `schema_migrations` (`version` varchar(255) NOT N
ULL) ENGINE=InnoDB
C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/connection_adapters/abstract_adapter.rb:227:in `log'
C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/connection_adapters/mysql_adapter.rb:324:in `execute'
C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/connection_adapters/abstract/schema_statements.rb:109:in
 `create_table'
C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/connection_adapters/mysql_adapter.rb:478:in `create_tabl
e'
C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/connection_adapters/abstract/schema_statements.rb:371:in
 `initialize_schema_migrations_table'
C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/migration.rb:441:in `initialize'
C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/migration.rb:401:in `new'
C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/migration.rb:401:in `up'
C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/migration.rb:383:in `migrate'
C:/Ruby/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/tasks/databases.rake:112
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:205:in `call'
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:205:in `execute'
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:200:in `each'
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:200:in `execute'
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:158:in `invoke_with_call_chain'
C:/Ruby/lib/ruby/1.8/monitor.rb:242:in `synchronize'
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:151:in `invoke_with_call_chain'
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:144:in `invoke'
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/application.rb:112:in `invoke_task'
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/application.rb:90:in `top_level'
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/application.rb:90:in `each'
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/application.rb:90:in `top_level'
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/application.rb:129:in `standard_exception_handling'
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/application.rb:84:in `top_level'
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/application.rb:62:in `run'
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/application.rb:129:in `standard_exception_handling'
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/application.rb:59:in `run'
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.9.2/bin/rake:32
C:/Ruby/bin/rake:19:in `load'
C:/Ruby/bin/rake:19
Tasks: TOP => db:migrate

C:\Program Files\Zend\Apache2\htdocs\Redmine_SVN>

RE: Upgrading to 1.2 SVN issues! - Added by Alex A over 8 years ago

Can u uninstall rake 0.9.2 and install rake 0.8.7 and try db:migrate?

RE: Upgrading to 1.2 SVN issues! - Added by Cipher X over 8 years ago

Sorry, what's the command to uninstall it? or do I just install -v=0.8.7...thanks.

RE: Upgrading to 1.2 SVN issues! - Added by Cipher X over 8 years ago

$ gem uninstall rake -v 0.9.2

RE: Upgrading to 1.2 SVN issues! - Added by Alex A over 8 years ago

To uninstall rake 0.9.2

gem uninstall rake -v=0.9.2

To install rake 0.8.7
gem install rake -v=0.8.7

RE: Upgrading to 1.2 SVN issues! - Added by Cipher X over 8 years ago

Nope, no avail :(


C:\Program Files\Zend\Apache2\htdocs\Redmine_SVN>gem uninstall rake -v 0.9.2
Successfully uninstalled rake-0.9.2

C:\Program Files\Zend\Apache2\htdocs\Redmine_SVN>gem install rake -v=0.8.7
Successfully installed rake-0.8.7
1 gem installed
Installing ri documentation for rake-0.8.7...
Installing RDoc documentation for rake-0.8.7...
C:\Program Files\Zend\Apache2\htdocs\Redmine_SVN>rake generate_session_store --trace
(in C:/Program Files/Zend/Apache2/htdocs/Redmine_SVN)
** Invoke generate_session_store (first_time)
** Invoke config/initializers/session_store.rb (first_time, not_needed)
** Execute generate_session_store

C:\Program Files\Zend\Apache2\htdocs\Redmine_SVN>set RAILS_ENV=production

C:\Program Files\Zend\Apache2\htdocs\Redmine_SVN>rake db:migrate --trace
(in C:/Program Files/Zend/Apache2/htdocs/Redmine_SVN)
** Invoke db:migrate (first_time)
** Invoke environment (first_time)
** Execute environment
** Execute db:migrate
rake aborted!
Mysql::Error: Table 'redmine.schema_migrations' doesn't exist: CREATE TABLE `schema_migrations` (`version` varchar(255) NOT N
ULL) ENGINE=InnoDB
C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/connection_adapters/abstract_adapter.rb:227:in `log'
C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/connection_adapters/mysql_adapter.rb:324:in `execute'
C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/connection_adapters/abstract/schema_statements.rb:109:in
 `create_table'
C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/connection_adapters/mysql_adapter.rb:478:in `create_tabl
e'
C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/connection_adapters/abstract/schema_statements.rb:371:in
 `initialize_schema_migrations_table'
C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/migration.rb:441:in `initialize'
C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/migration.rb:401:in `new'
C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/migration.rb:401:in `up'
C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.11/lib/active_record/migration.rb:383:in `migrate'
C:/Ruby/lib/ruby/gems/1.8/gems/rails-2.3.11/lib/tasks/databases.rake:112
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:636:in `call'
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:636:in `execute'
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:631:in `each'
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:631:in `execute'
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:597:in `invoke_with_call_chain'
C:/Ruby/lib/ruby/1.8/monitor.rb:242:in `synchronize'
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:590:in `invoke_with_call_chain'
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:583:in `invoke'
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2051:in `invoke_task'
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2029:in `top_level'
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2029:in `each'
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2029:in `top_level'
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2068:in `standard_exception_handling'
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2023:in `top_level'
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2001:in `run'
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2068:in `standard_exception_handling'
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:1998:in `run'
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/bin/rake:31
C:/Ruby/bin/rake:19:in `load'
C:/Ruby/bin/rake:19

C:\Program Files\Zend\Apache2\htdocs\Redmine_SVN>

RE: Upgrading to 1.2 SVN issues! - Added by Alex A over 8 years ago

Can u show your enviromnet.rb file?

RE: Upgrading to 1.2 SVN issues! - Added by Cipher X over 8 years ago

enviromnet.rb

# Be sure to restart your web server when you modify this file.

# Uncomment below to force Rails into production mode when 
# you don't control web/app server and can't set it the proper way
# ENV['RAILS_ENV'] ||= 'production'

# Specifies gem version of Rails to use when vendor/rails is not present
RAILS_GEM_VERSION = '2.3.11' unless defined? RAILS_GEM_VERSION

# Bootstrap the Rails environment, frameworks, and default configuration
require File.join(File.dirname(__FILE__), 'boot')

# Load Engine plugin if available
begin
  require File.join(File.dirname(__FILE__), '../vendor/plugins/engines/boot')
rescue LoadError
  # Not available
end

Rails::Initializer.run do |config|
  # Settings in config/environments/* take precedence those specified here

  # Skip frameworks you're not going to use
  # config.frameworks -= [ :action_web_service, :action_mailer ]

  # Add additional load paths for sweepers
  config.autoload_paths += %W( #{RAILS_ROOT}/app/sweepers )

  # Force all environments to use the same logger level 
  # (by default production uses :info, the others :debug)
  # config.log_level = :debug

  # Enable page/fragment caching by setting a file-based store
  # (remember to create the caching directory and make it readable to the application)
  # config.action_controller.cache_store = :file_store, "#{RAILS_ROOT}/tmp/cache" 

  # Activate observers that should always be running
  # config.active_record.observers = :cacher, :garbage_collector
  config.active_record.observers = :message_observer, :issue_observer, :journal_observer, :news_observer, :document_observer, :wiki_content_observer, :comment_observer

  # Make Active Record use UTC-base instead of local time
  # config.active_record.default_timezone = :utc

  # Use Active Record's schema dumper instead of SQL when creating the test database
  # (enables use of different database adapters for development and test environments)
  # config.active_record.schema_format = :ruby

  # Deliveries are disabled by default. Do NOT modify this section.
  # Define your email configuration in configuration.yml instead.
  # It will automatically turn deliveries on
  config.action_mailer.perform_deliveries = false

  config.gem 'rubytree', :lib => 'tree'
  config.gem 'coderay', :version => '~>0.9.7'

  # Load any local configuration that is kept out of source control
  # (e.g. gems, patches).
  if File.exists?(File.join(File.dirname(__FILE__), 'additional_environment.rb'))
    instance_eval File.read(File.join(File.dirname(__FILE__), 'additional_environment.rb'))
  end
end

RE: Upgrading to 1.2 SVN issues! - Added by Alex A over 8 years ago

Try rake db:auto:migrate instead of rake db:migrate

RE: Upgrading to 1.2 SVN issues! - Added by Cipher X over 8 years ago

I can't see what will be causing this as it's a new db schema so it should play nicely and install!
But I'm still getting errors.

C:\Program Files\Zend\Apache2\htdocs\Redmine_SVN>rake db:auto:migrate --trace
(in C:/Program Files/Zend/Apache2/htdocs/Redmine_SVN)
rake aborted!
Don't know how to build task 'db:auto:migrate'
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:1728:in `[]'
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2050:in `invoke_task'
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2029:in `top_level'
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2029:in `each'
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2029:in `top_level'
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2068:in `standard_exception_handling'
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2023:in `top_level'
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2001:in `run'
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2068:in `standard_exception_handling'
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:1998:in `run'
C:/Ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/bin/rake:31
C:/Ruby/bin/rake:19:in `load'
C:/Ruby/bin/rake:19

C:\Program Files\Zend\Apache2\htdocs\Redmine_SVN>

RE: Upgrading to 1.2 SVN issues! - Added by Cipher X over 8 years ago

Does the migrate corrupt any data entries? If anything it may add a few extra columns!

(1-18/18)